food 010.jpg=Rotate to get nice grill marks on them
food 007.jpg=A nice shot of them.
food 012.jpg=Finished meal with a glass of Merlot
food 009.jpg=Flipped and cooking nicely!
food 006.jpg=Cooking ... in my new grill pan
food 008.jpg=
food 011.jpg=Finished meal with a glass of Merlot
food 013.jpg=Finished meal with a glass of Merlot
